/*
                       AVScan - Antivirus Engine Scan

	Uses or calls the Antivirus Engine (ClamAV) to perform scans
	and print output.
 */

#ifndef AVS_AVENGINE_SCAN_H
#define AVS_AVENGINE_SCAN_H

#include <glib.h>
#include "avs_avengine_settings.h"


/* Get Antivirus Engine Version */
extern gchar *avs_get_avengine_name_version_string(void);

/* Antivirus Engine Scan */
extern gint avs_avengine_scan(
	const gchar *db_path,
	GList *path_list,
	const gboolean recursive,
	const gboolean executables_only,
	const gboolean ignore_links,
	gboolean *reload,
	gint *stop_count,
	AVSAVEngineSettings *engine_settings
);
extern gint avs_avengine_scan_main(const gint argc, const gchar **argv);


#endif	/* AVS_AVENGINE_SCAN_H */
