#ifndef AVS_AVENGINE_SETTINGS_H
#define AVS_AVENGINE_SETTINGS_H

#include <glib.h>


typedef struct _AVSAVEngineSettings	AVSAVEngineSettings;
#define AVS_AVENGINE_SETTINGS(p)	((AVSAVEngineSettings *)(p))


/*
 *	Flags:
 */
typedef enum {
	AVS_AVENGINE_REPORT_ALL_OBJECTS	= (1 << 0)
} AVSAVEngineFlags;


/*
 *	CPU Priority:
 */
typedef enum {
	AVS_AVENGINE_CPU_PRIORITY_HIGHEST,
	AVS_AVENGINE_CPU_PRIORITY_HIGH,
	AVS_AVENGINE_CPU_PRIORITY_MEDIUM,
	AVS_AVENGINE_CPU_PRIORITY_LOW,
	AVS_AVENGINE_CPU_PRIORITY_LOWEST
} AVSAVEngineCPUPriority;


/*
 *	Scanner Options:
 */
struct _AVSAVEngineSettings {

	AVSAVEngineFlags	flags;

	AVSAVEngineCPUPriority	cpu_priority;

	gulong		max_scan_size,		/* Maximum amount of bytes to
						 * be scanned for each file,
						 * 0 = no maximum */
			max_directory_recursions,/* Maximum number of
						 * subdirectory levels to
						 * recurse into,
						 * 0 = no maximum */
			max_archive_files,	/* Maximum number of files to
						 * be scanned within each
						 * archive,
						 * 0 = no maximum */
			max_archive_file_size,	/* Maximum number of bytes to
						 * scan for each file in an
						 * archive,
						 * 0 = no maximum */
			max_archive_recursions;	/* Maximum archive recursion
						 * level for each archive,
						 * 0 = no maximum */
};


#endif	/* AVS_AVENGINE_SETTINGS_H */
