/*
                                AVScan - Core
 */

#ifndef AVS_CORE_H
#define AVS_CORE_H

#include <gtk/gtk.h>
#ifdef HAVE_LIBENDEAVOUR2
# include <endeavour2.h>
#endif
#include "guiutils.h"
#include "cfg.h"
#include "avs_win.h"


typedef struct _AVSCore			AVSCore;
#define AVS_CORE(p)			((AVSCore *)(p))


/*
 *	Flags:
 */
typedef enum {
	AVS_CORE_CLOSE_ALL_WINDOWS	= (1 << 0)
} AVSCoreFlags;


/*
 *	Core:
 */
struct _AVSCore {

	AVSCoreFlags	flags;

	/* Configuration List */
	CfgList		*cfg_list;

#ifdef HAVE_LIBENDEAVOUR2
	/* Endeavour Mark II context */
	EDVContext	*edv_ctx;
#endif

	GdkAtom		target_scan_item_atom;

	/* Pixmaps */
	GdkPixmap	*scan_item_pixmap;
	GdkBitmap	*scan_item_mask;
	GdkPixmap	*file_infected_pixmap;
	GdkBitmap	*file_infected_mask;
        GdkPixmap       *folder_closed_pixmap;
        GdkBitmap       *folder_closed_mask;
        GdkPixmap       *folder_opened_pixmap;
        GdkBitmap       *folder_opened_mask;
        GdkPixmap       *db_item_pixmap;
        GdkBitmap       *db_item_mask;

	/* Cursors */
	GdkCursor	*busy_cur,
			*passive_busy_cur;

	guint		main_toid;

	/* Windows Lists */
	GList		*win;

	gchar		*prog_name,		/* Program file name */
			*prog_path,		/* Full path to program */
			*prog_data_dir;		/* Program data directory */

	/* Command Line GUI Overrides */
        gchar		*title;
        GdkGeometryFlags geometry_flags;
        GdkRectangle	*geometry;
        gboolean	iconic;

};


#endif	/* AVS_CORE_H */
