#ifndef AVS_WIN_LIST_H
#define AVS_WIN_LIST_H

#include "obj.h"
#include "avs_win.h"


/* Scan List */
extern gint avs_win_scan_list_insert(
	AVSWin *win,
	const gint row,
	obj_struct *obj				/* Transfered */
);
extern gint avs_win_scan_list_append(
	AVSWin *win,
	obj_struct *obj				/* Transfered */
);
extern void avs_win_scan_list_remove(
	AVSWin *win,
	const gint row
);
extern void avs_win_scan_list_clear(AVSWin *win);
extern void avs_win_scan_list_update_row(
	AVSWin *win,
	const gint row,
	const obj_struct *obj
);
extern void avs_win_scan_list_touch_by_location(
        AVSWin *win,
        const gchar *location,
        const gulong t
);

/* Results List */
extern gint avs_win_results_list_append(
	AVSWin *win,
	const gchar *path,
	const gchar *virus_name,
	const gboolean infected
);
extern void avs_win_results_list_clear(AVSWin *win);


#endif	/* AVS_WIN_LIST_H */
