/*
                         AVScan Window - Process

	Starts/sets up and stops the scan and virus update processes.
 */

#ifndef AVS_WIN_PROCESS_H
#define AVS_WIN_PROCESS_H

#include <gtk/gtk.h>
#include "avs_win.h"


/* Delete Process Output */
extern void avs_win_delete_process_output(AVSWin *win);

/* Scan Process */
extern void avs_win_start_scan_process(
	AVSWin *win,
	const gchar *db_location,
	GList *paths_list,
	const AVSScanSettings options
);
extern void avs_win_stop_scan_process(AVSWin *win);
extern gboolean avs_win_scan_process_is_running(AVSWin *win);

/* Virus Database Update Process */
extern void avs_win_start_db_update_net(AVSWin *win);
extern void avs_win_stop_db_update_net(AVSWin *win);
extern gboolean avs_win_db_update_net_process_is_running(AVSWin *win);


#endif	/* AVS_WIN_PROCESS_H */
