#include <glib.h>

#include "avs_main.h"
#include "avs_avengine_scan.h"
#include "config.h"


int main(int argc, char *argv[])
{
	gint		i,
			status;
	const gchar *arg;

	/* Parse arguments */
	for(i = 1; i < argc; i++)
	{
		arg = (const gchar *)argv[i];
		if(arg == NULL)
			continue;

		/* Help */
		if(!g_strcasecmp(arg, "--help") ||
		   !g_strcasecmp(arg, "-help") ||
		   !g_strcasecmp(arg, "--h") ||
		   !g_strcasecmp(arg, "-h") ||
		   !g_strcasecmp(arg, "-?")
		)
		{
			g_print("%s", PROG_USAGE_MESG);
			return(0);
		}
		/* Version */
		else if(!g_strcasecmp(arg, "--version") ||
			!g_strcasecmp(arg, "-version")
		)
		{
			gchar *av_engine_name_version =
				avs_get_avengine_name_version_string();
			g_print(
"%s Version %s\n\
%s\n\
AntiVirus Engine: %s\n",
				PROG_NAME_FULL, PROG_VERSION, PROG_COPYRIGHT,
				(av_engine_name_version != NULL) ?
					av_engine_name_version : "None"
			);
			g_free(av_engine_name_version);
			return(0);
		}
		/* Scan */
		else if(!g_strcasecmp(arg, "--scan"))
		{
			return(avs_avengine_scan_main((gint)argc, (const gchar **)argv));
		}
	}

	/* Run AVScan normally */
	status = avs_main((gint)argc, (const gchar **)argv);

        /* Return value must be positive */
	if(status < 0)
		status *= -1;

	return(status);
}
