#ifndef OBJ_H
#define OBJ_H

#include <glib.h>


typedef struct _obj_struct		obj_struct;
#define OBJ(p)		((obj_struct *)(p))


/*
 *	Scan Settings:
 *
 *	Not to be confused with AVSAVEngineSettings (AntiVirus Engine
 *	Scanner Settings) in avs_avengine_settings.h.
 */
typedef enum {

	AVS_SCAN_RECURSIVE		= (1 << 0),
	AVS_SCAN_EXECUTABLES_ONLY	= (1 << 1),
	AVS_SCAN_IGNORE_LINKS		= (1 << 2),

	/* The following flags are for objects stored on the
	 * Results List
	 */
	AVS_SCAN_INFECTED		= (1 << 8)

} AVSScanSettings;


/*
 *	Object:
 */
struct _obj_struct {

	gchar		*name,
			*path;

	AVSScanSettings	options;

	gulong		last_runned;
};


extern obj_struct *ObjNew(void);
extern obj_struct *ObjCopy(const obj_struct *obj);
extern void ObjDelete(obj_struct *obj);

extern GList *ObjDDEBufferParse(const guint8 *buf, const gint buf_len);
extern guint8 *ObjDDEBufferAppend(
        guint8 *buf, gint *buf_len_rtn,
        const obj_struct *obj  
);
extern GList *ObjDDEBufferParsePath(const guint8 *buf, const gint buf_len);
extern guint8 *ObjDDEBufferAppendPath(
        guint8 *buf, gint *buf_len_rtn, 
        const obj_struct *obj
);


#endif	/* OBJ_H */
